i2o_scsi_get_host
Prev | I2O message devices | Next

## Name

i2o_scsi_get_host — Get an I2O SCSI host

## Synopsis

`struct i2o_scsi_host * i2o_scsi_get_host (` | struct i2o_controller * | c`)`;

## Arguments

`c`

  I2O controller to for which to get the SCSI host

## Description

If the I2O controller already exists as SCSI host, the SCSI host is returned, otherwise the I2O controller is added to the SCSI core.

Returns pointer to the I2O SCSI host on success or NULL on failure.

Prev | Up | Next
i2o_block_exit | Home | i2o_scsi_remove